# Chrome Verified Access API

API for Verified Access chrome extension to provide credential verification for chrome devices connecting to an enterprise network

- [REST Resource: v2.challenge](https://developers.google.com/chrome/verified-access/reference/rest#v2.challenge)
- [REST Resource: v1.challenge](https://developers.google.com/chrome/verified-access/reference/rest#v1.challenge)

## Service: verifiedaccess.googleapis.com

To call this service, we recommend that you use the Google-provided [client libraries](https://cloud.google.com/apis/docs/client-libraries-explained). If your application needs to use your own libraries to call this service, use the following information when you make the API requests.

### Discovery document

A [Discovery Document](https://developers.google.com/discovery/v1/reference/apis) is a machine-readable specification for describing and consuming REST APIs. It is used to build client libraries, IDE plugins, and other tools that interact with Google APIs. One service may provide multiple discovery documents. This service provides the following discovery documents:

- <https://verifiedaccess.googleapis.com/$discovery/rest?version=v2>
- <https://verifiedaccess.googleapis.com/$discovery/rest?version=v1>

### Service endpoint

A [service endpoint](https://cloud.google.com/apis/design/glossary#api_service_endpoint) is a base URL that specifies the network address of an API service. One service might have multiple service endpoints. This service has the following service endpoint and all URIs below are relative to this service endpoint:

- `https://verifiedaccess.googleapis.com`

## REST Resource: [v2.challenge](https://developers.google.com/chrome/verified-access/reference/rest/v2/challenge)

| Methods ||
|---|---|
| `https://developers.google.com/chrome/verified-access/reference/rest/v2/challenge/generate` | `POST /v2/challenge:generate` Generates a new challenge. |
| `https://developers.google.com/chrome/verified-access/reference/rest/v2/challenge/verify` | `POST /v2/challenge:verify` Verifies the challenge response. |

## REST Resource: [v1.challenge](https://developers.google.com/chrome/verified-access/reference/rest/v1/challenge)

| Methods ||
|---|---|
| `https://developers.google.com/chrome/verified-access/reference/rest/v1/challenge/create` | `POST /v1/challenge` CreateChallenge API |
| `https://developers.google.com/chrome/verified-access/reference/rest/v1/challenge/verify` | `POST /v1/challenge:verify` VerifyChallengeResponse API |